﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataTreeBinding
{
    public class DataUtil
    {

        #region private members

        #region private fields

        private static ObservableCollection<Item> parentChild;

        #endregion

        #region private methods

        public static ObservableCollection<Item> CreateParentChild()
        {
            return new ObservableCollection<Item>
            {
                 new Item 
                {
                   Id  = 1, 
                   Name  = "p1", 
                   IsSelected=true,
                   Items= new ObservableCollection<Item>
                   {
                         new Item 
                            {
                               Id  = 1, 
                               Name  = "p1c1", 
                                IsSelected=true,
                            },
                        new Item 
                            {
                               Id  = 2, 
                               Name  = "p1c2", 
                               IsSelected=true,
                            },
                        new Item 
                            {
                               Id  = 3, 
                               Name  = "p1c3", 
                               IsSelected=true,
                            },
                   }
                },
          
            };
        }

        #endregion

        #endregion

        #region public members

        #region public properties

        public static ObservableCollection<Item> ParentChild
        {
            get
            {
                if (parentChild == null)
                    parentChild = CreateParentChild();

                return parentChild;
            }
        }
        #endregion

        #endregion
    }

    public class Item
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public ObservableCollection<Item> Items { get; set; }
        public bool IsSelected { get; set; }
    }

}
